package com.platform.common.utils;

/**
 * Redis所有Keys
 */
public class RedisKeys {

    public static String getSysConfigKey(String key){
        return "sys:config:" + key;
    }

    /**
     * 获取用户哈希key
     * @return
     */
    public static String getSysUserKey() {
        return "sys:user:cache";
    }

    /**
     * 获取用户哈希值
     * @param field
     * @return
     */
    public static String getSysUserFeild(Long field) {
        return "sys:user:" + field;
    }

    /**
     * 获取现场Key值
     * @return
     */
    public static String getSceneKey() {
        return "live:scene:scene";
    }

    /**
     * 获取对外用户key值
     * @return
     */
    public static String getForeignUserToken(String token) {
        return "foreign:user:token:"+token;
    }

    /**
     * 获取上传视频资源分块key值
     */
    public static String getUploadMediaKey() {
        return "media:chunk:";
    }
}
